package org.gcube.application.cms.plugins.reports;

import com.fasterxml.jackson.core.JsonProcessingException;
import lombok.Data;
import org.gcube.application.cms.plugins.requests.EventExecutionRequest;
import org.gcube.application.geoportal.common.model.document.ProfiledDocument;
import org.gcube.application.geoportal.common.model.document.lifecycle.LifecycleInformation;

@Data
public class EventExecutionReport extends DocumentHandlingReport<EventExecutionRequest>{

    public EventExecutionReport(EventExecutionRequest req){
        super(req);
        this.setToSetLifecycleInformation(theRequest.getDocument().getLifecycleInformation().cleanState());
    }


    @Override
    public void setToSetLifecycleInformation(LifecycleInformation toSetLifecycleInformation) {

    }
}
