package org.gcube.application.cms.plugins.requests;

import lombok.Data;
import lombok.ToString;
import org.bson.Document;
import org.gcube.application.geoportal.common.model.document.ProfiledDocument;
import org.gcube.application.geoportal.common.model.document.accounting.Context;
import org.gcube.application.geoportal.common.model.document.accounting.User;
import org.gcube.application.geoportal.common.model.profile.Profile;

@Data
@ToString(callSuper = true)
public class StepExecutionRequest extends BaseExecutionRequest{

    public static class Steps{

        public static final String ON_MATERIALIZE_DOCUMENT="@@@MATERIALIZE_DOCUMENT@@";
        public static final String ON_DEMATERIALIZE_DOCUMENT="@@@DEMATERIALIZE_DOCUMENT@@";

        public static final String ON_INDEX_DOCUMENT="@@@INDEX_DOCUMENT@@";
        public static final String ON_DEINDEX_DOCUMENT="@@@DEINDEX_DOCUMENT@@";
    }



    String step;
    User user;
    Context context;
}
