package org.gcube.application.geoportal.common.model.profile;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import org.bson.Document;

@Data
public class HandlerDeclaration {

    public static final String ID="_id";
    public static final String TYPE="_TYPE";
    public static final String CONFIGURATION="_configuration";

    @JsonProperty(ID)
    private String id;
    @JsonProperty(TYPE)
    private String type;
    @JsonProperty(CONFIGURATION)
    private Document configuration;
}
