package org.gcube.application.geoportal.common.model.rest;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.bson.Document;

import javax.xml.bind.annotation.XmlRootElement;
import java.time.LocalDateTime;
import java.util.List;

@XmlRootElement
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Configuration{

    public class Index extends Document {

    }

    public class Archive extends Document {

    }

    public static String PROFILE_ID="profile_id";
    public static String CONTEXT = "context";
    public static String LAST_UPDATED_TIME = "";

    public static String INDEXES = "indexes";
    public static String ARCHIVES = "archives";


    private String profile_id;
    private String context;
    private LocalDateTime lastUpdatedTime;

    private List<Index> indexes;
    private List<Archive> archives;

}
