package org.gcube.application.cms.plugins.requests;

import lombok.Data;
import lombok.ToString;
import lombok.extern.slf4j.Slf4j;
import org.bson.Document;
import org.gcube.application.geoportal.common.model.document.ProfiledDocument;
import org.gcube.application.geoportal.common.model.profile.Profile;

@Data
@ToString(callSuper = true)
public class EventExecutionRequest extends BaseExecutionRequest{

    public static class Events{
        public static final String ON_INIT_DOCUMENT="@@@INIT_DOCUMENT@@";
        public static final String ON_UPDATE_DOCUMENT="@@@UPDATE_DOCUMENT@@";
        public static final String ON_DELETE_DOCUMENT="@@@DELETE_DOCUMENT@@";
    }


    String event;


}
